
QGIS Application - Bug report #3855

Python console gets stuck if you use [Enter] from the number pad

2011-05-30 01:32 AM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13913

Description

In the Python console:

Paste a command, e.g. the line below, and press the [Enter] key in the middle of your keyboard - it should work.

Now paste it again and press the [Enter] key in the number pad section of your keyboard - the cursor moves down to the next line, but the

command is not run, and there appears to be no way to get it to run, or to exit out with Ctrl-C or something like you can do in most

consoles (It seems you need to restart QGIS to use the Python console after this).

print "hello dude!" 

Associated revisions

Revision 2fcf608a - 2011-07-05 10:32 AM - Martin Dobias

Python console: consider also Enter on keypad. Fixes #3855.

Contributed by Steven Mizuno

History

#1 - 2011-06-10 07:05 AM - Steven Mizuno

- Assignee deleted (nobody -)

- File patch_for_3855.txt added

Here is a patch to add handling for the num keypad Enter.

#2 - 2011-06-21 10:13 PM - Alister Hood

Great, thanks.

#3 - 2011-07-05 01:37 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed
Thanks for the patch. Applied in commit:2fcf608

Files

patch_for_3855.txt 606 Bytes 2011-06-10 Steven Mizuno
